Generics support

I'm sure this has been discussed n times before. Here it goes again though.. :).

What level of support for generics are you planning and when? I would think you would will support it fully in 4.0 since you advertise it. Have you any release date for 4.0? Seems the generics have changed at least once already. From the +- notation to the current ? extends Object notation. Currently idea doesnt seem to support the ? extends Object notation. Only the List]]> style.

And what about the rest of the new features, autoboxing, static import, for loops... in version after 4.0? And if I buy a license for 4.0 do I need to buy a new license later to get the rest of the 1.5 features?

1 comment

What level of support for generics are you planning and when? I would

think you would will support it fully in 4.0 since you advertise it. Have
you any release date for 4.0? Seems the generics have changed at least once
already. From the +- notation to the current ? extends Object notation.
Currently idea doesnt seem to support the ? extends Object notation. Only
the List style. We support Generics 2.0 without variance (?, +, -) in Aurora. We do not plan to support later extensions to the generics specification in Aurora since they are not stable (or at least were not stable at the time of active Aurora development). We plan to support the latest generics sepecification in the short version after Aurora. >]]>

And what about the rest of the new features, autoboxing, static import,

for loops... in version after 4.0?

We don't support any other features of 1.5 yet except for co-variant return
types. The reason is unstability of the specification and early
beta-compilers. We plan to have full support of JDK 1.5 by the time when
it's released.

And if I buy a license for 4.0 do I need to buy a new license later to get

the rest of the 1.5 features?

I think yes but it's better to ask sales@intellij.com for more information.

--
Valentin Kipiatkov
JetBrains, Inc
http://www.intellij.com
"Develop with pleasure!"

"teemu kanstren" <kibaltsis@hotmail.com> wrote in message
news:6753620.1067516267995.JavaMail.javamailuser@localhost...

I'm sure this has been discussed n times before. Here it goes again

though.. :).
>

What level of support for generics are you planning and when? I would

think you would will support it fully in 4.0 since you advertise it. Have
you any release date for 4.0? Seems the generics have changed at least once
already. From the +- notation to the current ? extends Object notation.
Currently idea doesnt seem to support the ? extends Object notation. Only
the List style. >]]>

And what about the rest of the new features, autoboxing, static import,

for loops... in version after 4.0? And if I buy a license for 4.0 do I need
to buy a new license later to get the rest of the 1.5 features?
>


0

Please sign in to leave a comment.